Bug 152631 - shadow-utils provides newgrp which is already provided by util-linux
shadow-utils provides newgrp which is already provided by util-linux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Ryska
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 16:24 EST by Demond James
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-24 04:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Demond James 2005-03-30 16:24:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Unable to update shadow-utils because of file conficts with utils-linux.  newgrp added to shadow-utils package causes conflict.


Version-Release number of selected component (if applicable):
shadow-utils-4.0.7-4

How reproducible:
Always

Steps to Reproduce:
1.Update shadow-utils to 4.0.7-4
2.
3.
  

Actual Results:  Error message

Test install failed because of package conflicts:
file /usr/bin/newgrp from install of shadow-utils-4.0.7-4 conflicts with file from package util-linux-2.12p-3
file /usr/share/man/man1/newgrp.1.gz from install of shadow-utils-4.0.7-4 conflicts with file from package
util-linux-2.12p-3

Expected Results:  no error

Additional info:
Comment 1 Michal Jaegermann 2005-03-30 16:45:44 EST
This also conflicts at least here:
.....
file /usr/share/man/pl/man1/newgrp.1.gz from install of shadow-utils-4.0.7-4
conflicts with file from package man-pages-pl-0.23-4

Quite possibly this may also cause conflicts with these:

/usr/share/man/fr/man1/newgrp.1.gz
/usr/share/man/hu/man1/newgrp.1.gz
/usr/share/man/it/man1/newgrp.1.gz
/usr/share/man/ja/man1/newgrp.1.gz
/usr/share/man/ko/man1/newgrp.1.gz

but I did not check that to the very end.  At least these additional
packages

man-pages-de-0.4-9.noarch.rpm
man-pages-fr-0.9.7-11.noarch.rpm
man-pages-it-0.3.0-15.noarch.rpm
man-pages-ja-20050315-1.noarch.rpm
man-pages-ko-1.48-15.noarch.rpm

also have 'newgrp' manpage inside.
Comment 2 Peter Vrabec 2005-03-31 02:29:16 EST
newgrp(util-linux) will be replaced with newgrp(shadow-utils)
shadow-utils-4.0.7-4
util-linux-2.12p-4
Comment 3 Warren Togami 2005-04-23 06:19:01 EDT
Is this still an issue now?
Comment 4 Karel Zak 2005-04-24 04:01:48 EDT
No. You have to update both -- shadow-util and util-linux.

Note You need to log in before you can comment on or make changes to this bug.